# El manual de &konsole;

Jonathan
Singer

    jsinger@leeta.net

Chris
Machemer

    machey@ptd.net

Encargado
Michael
McBride
Revisora

    mmcbride@ematic.com

Lauri
Watts
Revisora

    vampyr@atconnex.net

Pablo
de Vicente

    pvicentea@nexo.es

Traductor
Carlos
García Argos

    garcia@ieee.org

Traductor
2000
2001
Jonathan Singer
&FDLNotice;
2001-07-09
1.00.20

Este documento es el manual de usuario para la aplicación &konsole;.

&konsole; es un emulador de terminal X para &kde; 2.0

KDE
konsole
kdebase
comando
línea

## Introducción a &konsole;

&konsole; es un emulador de terminal X que proporciona un interfaz para línea de comandos (CLI) usando el Entorno de Escritorio K.&konsole; ayuda a organizar mejor el escritorio del usuario conteniendo sesiones múltiples en una sola ventana (lo que resulta en un escritorio más ordenado).

Sus características avanzadas incluyen una configuración sencilla y la capacidad de usar múltiples terminales de shell en una sola ventana.

Utilizando &konsole;, un usuario puede abrir:

- Sesiones de consola &Linux;

- Sesiones del administrador de archivos Midnight Commander

- Sesiones de intérprete de comandos

- Sesiones de consola de root

- Sesiones de Root de Midnight Commander

Estas sesiones pueden renombrarse para ayudarle a tener localizadas todas sus shells, o se les puede enviar señales (STOP, CONT, HUP, INT, TERM, KILL).

Para un mayor control sobre &konsole;, un usuario puede:

- ocultar/mostrar la barra de menús, barra de herramientas y/o marco

- seleccionar el tamaño, fuentes, esquemas de colores y mapeado de teclado de una ventana de &konsole;

- cambiar la posición de la barra de scroll o esconderla

Todas las opciones elegidas pueden hacerse predeterminadas para las próximas sesiones guardándolas.

### Historial

Para los interesados en la taxonomía de los terminales X libres, hay otros dos de este tipo: xterm, el original escrito incluso antes que X (un mes o así), y xvt, un clon de xterm más ligero, en el que se basan la mayoría de los derivados actuales (principalmente eterm).

Tras una década, &konsole; es la primera revisión desde el principio. Mientras que xterm ha sido abandonado a morir (su archivo `README` empieza con las palabras Abandona toda esperanza, tú que entras aquí), &konsole; ofrece un inicio agradable usando tecnologías actuales y comprensión de X.

## Uso de &konsole;

### Inicio

Cuando &konsole; se inicia, corre una aplicación (normalmente una shell Unix) en la ventana. Simplemente escriba en la línea de comandos.

Pantalla &konsole;
Pantalla &konsole;

### Historial

Según las líneas se desplazan fuera de la parte superior de la pantalla, se pueden volver a ver moviendo la barra de desplazamiento hacia arriba, o usando las teclas Shift Re Pag (para moverse una página atrás), Shift Av Pag (para moverse una página adelante), Shift Arriba (para moverse una líneaarriba) y Shift Abajo (para moverse una línea abajo (siempre y cuando la opción "Historial" esté activada).

### Botones de ratón

Izquierda

  El clic con el botón izquierdo del ratón se pasa como un evento a la aplicación que ejecuta la emulación, si soporta el uso del ratón. Si un programa va a reaccionar a pulsaciones de ratón, &konsole; lo indica mostrando un cursor con forma de flecha. Si no, se muestra una barra con forma de haz l (barra).

  Manteniendo pulsado el botón izquierdo y arrastrando el puntero por la pantalla con una aplicación que no soporte el uso del ratón seleccionará una región de texto. Mientras se arrastra, el texto marcado se muestra en vídeo inverso para mejor efecto visual. Cuando se suelta el botón, el texto marcado se copia al portapapeles para que se pueda usar más tarde con &konsole; u otra aplicación.

  Normalmente, se insertan caracteres de salto de línea al final de cada línea seleccionada. Esto es mejor para cortar y pegar código fuente, o la salida de un comando en particular. Para texto normal, los saltos de línea no suelen ser importantes. A veces uno preferiría que el texto sea una cadena de caracteres que se reformatearán automáticamente al pegarlos en otra aplicación. Para seleccionar el modo de texto como cadena, mantenga pulsada la tecla &Ctrl; mientras seleccione de forma normal.

  Si se llega al filo superior o inferior del área de texto mientras se está seleccionando, &konsole; hace un scroll arriba o abajo, posiblemente mostrando texto del historial del buffer. El scroll termina cuando el ratón deja de moverse.

  Después de que se suelte el botón del ratón, &konsole; trata de mantener el texto visible en el portapapeles manteniendo para ello el área seleccionada en vídeo inverso. El área marcada vuelve a vídeo normal tan pronto como se altere el contenido del portapapeles, se modifique el texto del área marcada o se pulse el botón izquierdo del ratón.

  Para marcar texto en una aplicación que soporte el ratón, debe pulsarse la tecla Shift al hacer clic.

Central

  Pulsando el botón central se pega el contenido del portapapeles.

  Si tiene un ratón con sólo dos botones, al pulsar a la vez los botones izquierdo y derecho se emula el botón central de un ratón con tres botones.

Derecho

  El botón derecho muestra el menú de Opciones. La combinación &Ctrl; botón derechomuestra el menú Archivo, mientras que la combinación Mayúsculas botón derecho muestra el menú Sesiones.

### Barra de menú

La barra de menú está en la parte superior de la ventana de &konsole;. Se puede esconder y restaurar cambiando Mostrar barra de menú en el menú Opciones. Cuando se oculta la barra de menú, Mostrar barra de menú, se puede llegar a ella haciendo clic en la ventana con el botón derecho.

#### El menú Archivo

Archivo Consola Linux

  Abre una nueva sesión emulando un sistema Linux de sólo texto.

  Vea el archivo `README.linux.console` en el paquete &konsole; para información más detallada de las diferencias entre una consola &Linux; y una consola &UNIX; típica

Archivo Midnight Commander

  Abre una sesión del administrador de archivos Midnight Commander

Archivo Shell

  Abre una nueva sesión con un terminal de shell

Archivo Consola Root

  Abre una nueva sesión con un terminal de shell, como usuario como usuario root.

  Después de preguntar por la clave de root, aparece el símbolo #, indicando que el usuario está trabajando con privilegios de root. Esto a veces es necesario para instalar nuevo software y otro mantenimiento del sistema, pero debe tenerse cuidado para evitar daños accidentales al sistema.

Archivo Root Midnight Commander

  Abre una nueva sesión con el navegador gráfico de archivos Midnight Commander como usuario root.

  Después de preguntar por la clave de root, aparece el símbolo #, indicando que el usuario está trabajando con privilegios de root. Esto a veces es necesario para instalar nuevo software y otro mantenimiento del sistema, pero debe tenerse cuidado para evitar daños accidentales al sistema.

Archivo Cerrar

  Sale de &konsole;, cerrando todas las sesiones y cualquier aplicación cargada desde ellas.

También puede abrir una nueva sesión con un acceso rápido. Por omisión, &Alt;&Ctrl;N es la combinación. También puede definir su propio acceso rápido para iniciar una nueva sesión de terminal. Los archivos con extensión `*.keytab` en el directorio`$`KDEDIR`/share/apps/konsole` definen accesos rápidos de teclado.

Por ejemplo, añadiendo la definición: `tecla F12 + Mayúsculas : nuevaSesión` en los archivos activos keytab hace que se inicie una nueva sesión al pulsar &Shift;F12. Utilice el comando de menú Opciones Teclado para elegir un nuevo archivo keytab. El archivo `README.KeyTab` contiene más información sobre definición de accesos rápidos.

#### El menú Sesiones

Sesiones Envia señal

  Enviar señal - envía la señal especificada al proceso de del intérprete de comandos, o a otros procesos, que se ejecutó cuando se inició la nueva sesión

  Las señales disponibles son:

  STOP | para detener procesos
  CONT | para continuar si están detenidos
  HUP | detectado cuelgue del terminal controlador, o muerte del proceso controlador
  INT | interrupción desde el teclado
  TERM | señal de terminación
  KILL | señal de muerte

  Acuda a las páginas del manual de su sistema para más detalles ejecutando el comando ``man` `7 signal``.

Sesiones Renombrar sesión...

  Cambia el nombre de la sesión activa

Sesiones Iconos de sesión...

  En la parte inferior del menú hay una lista de las sesiones disponibles. Seleccionando una se hace dicha sesión activa.

  También puede utilizar las teclas de flechas Mayúsculas Izquierda/Mayúsculas Derecha para pasar de unas sesiones a otras.

#### El menú Opciones

Opciones Renombrar sesión...

  Cambia el nombre de la sesión activa

Opciones Mostrar barra de menú

  Muestra o oculta la barra de menú

Opciones Mostrar barra de herramientas

  Muestra o oculta la barra de herramientas

Opciones Mostrar marco

  Muestra o oculta el marco al lado de la ventana

Opciones Barra de desplazamiento

  Controla la ubicación de la barra de desplazamiento: ninguna, izquierda, o derecha

Opciones Pantalla completa

  Cambio de pantalla completa a/desde tamaño normal

Opciones Tamaño

  Fija el tamaño del área de texto (dado en columnas de x filas)

Opciones Fuentes

  Fija la fuente y el tamaño de la fuente

  Seleccione la opción Personalizar para usar cualquier combinación de fuente, tamaño y estilo. El archivo `README.fonts` en el paquete fuente de &konsole; le ofrece sugerencias sobre las fuentes que funcionan bien.

Opciones Esquema

  Fija los colores de texto y fondo

  La lista de estos datos se toma de `$KDEDIR/share/apps/konsole/*.schema`. El archivo `$KDEDIR/share/apps/konsole/README.Schema` describe el formato esquema en más detalle. Añada o modifique estos archivos para que se ajusten a sus necesidadesTambién puede crear esquemas personalizados desde el módulo &kcontrolcenter; Sistema Konsole.

Opciones Historial...

  Abre un diálogo donde puede configurar el historial.. La casilla activar activa/desactiva el guardado de líneas que han desaparecido por la parte superior de la ventana. Puede introducir el Número de líneas a recordar en el campo de texto, o utilizar el botón incrmental para aumentar o disminuir el número en pasos de 100 líneas. El botón Predeterminado reiniciará el valor del historial a 1000 líneas. Pulse Aceptar para guardar sus cambios, Cancelar para cerrar el diálogo sin guardar sus opciones de configuración.El botón Ayuda abrirá este manual, y mostrará el texto que usted está leyendo ahora.

Opciones Codec

  Aún no está implementado.

Opciones Teclado

  Elije el mapa de teclado deseado

  La lista de los mapas de teclado se toma de `$KDEDIR/share/apps/konsole/*.keytab`. El archivo `$KDEDIR/share/apps/konsole/README.KeyTab` describe el formato keytab en más detalle. Añada o modifique estos archivos para ajustarlos a sus necesidades.

Opciones separadores de palabra

  Especifica los caracteres que se reconocerán como separadores entre palabras.

  Afecta a qué texto será seleccionado cuando realice una doble pulsación en el texto. Es muy importante para codificaciones de texto que no son occidentales.

Opciones Avisar al salir cuando haya sesiones abiertas

  Si está selccionado aparecerá un aviso cuando trate de cerrar una ventana de &konsole; con varías sesiones.

Opciones Guardar Opciones

  Guarda las opciones de configuración actuales como valores predeterminados.

#### El menú Ayuda

F1 Ayuda Contenidos...

  Abre una tabla de contenidos de este documento

Ayuda Referencia ténica

  Información detallada de la emulación de terminal y &konsole;

Ayuda Informar de fallo...

  Envia un informe de fallo o una petición de mejora para &konsole;

Ayuda Acerca de Konsole...

  Información acerca del autor de &konsole;

Ayuda Acerca de KDE...

  Información sobre el proyecto KDE

### La bara de herramientas

La barra de herramientas está en la parte inferior de la ventana de &konsole;

Se puede ocultar y restaurar pulsandosobre Mostrar barra de herramientas en el menú Opciones o pulsando el asa con textura al lado de la barra. La barra contiene un icono Nuevo e iconos para las sesiones activas en ese momento. Pulsando Nuevo abre un nuevo intérprete de comandos.

Pulsando sobre un icono de sesión existente activa dicha sesión

Cuando la barra de herramientas está oculta, Mayúculas Izquierda and Mayúsculas Derecha sirve para moverse entre diferentes sesiones.

### Opciones de la línea de comandos

Cuando se inicia &konsole; desde la línea de comandos, se pueden especificar varias opciones para modificar su comportamiento.

`--help`

  Lista varias opciones

`--name`

  Fija el nombre que aparece en la barra de título

`--ls`

  Inicia una sesión de entrada

`--nowelcome`

  Suprime el mensaje "Bienvenido a &konsole;" que aparece en la barra de título.

`-T,--title`

  Fija el título de ventana

`--xwin`

  Ignorado

`--nohist`

  Desactiva el guardado de líneas que se desplazan hacia arriba desapareciendo de la ventana

`--notoolbar`

  Inicia &konsole; sin barra de herramientas

`--vt_sz` `CCxLL`

  Inicia una ventana de terminal con CC columnas y LL líneas

`-e` `comando`

  Ejecuta `comando` en lugar del intérprete de comandos.

Por ejemplo:

    bash$ konsole--vt_sz 90x25--nohist

inicia una ventana de &konsole; con 90 columnas y 25 filas, sin historial

&konsole; también acepta opciones genéricas de &Qt; y &kde;:

`--help-qt`

  Lista las opciones específicas de Qt

`--help-kde`

  Lista las opciones específicas de KDE

`--help-all`

  Lista todas las opciones

`--author`

  Muestra nombres de autores

`-v,--version`

  Muestra número de versión

`--licencia`

  Muestra información de la licencia

## Créditos y Copyright

El encargado de &konsole; es Chris Machemer machey@ptd.net

La aplicación &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Este documento fue escrito por Jonathan Singer jsinger@genome.wi.mit.edu

Convertido a DocBook SGML por Michael McBride mmcbride@ematic.com y Lauri Watts vampyr@atconnex.net

Pablo de Vicente

    pvicentea@nexo.es

Traductor

&underFDL; &underGPL;

## Instalación

&konsole; es parte de los paquetes base de &kde; 2.0. Se instalará automáticamente con su instalación &kde; y requiere &kde; 2.0 para funcionar.

Para más información, visite la página web de &kde; en http://www.kde.org/

Para obtener &konsole; por separado, descargue el paquete kdebase package, y compile e instale como se indica en el directorio principal del paquete. Se pueden obtener nuevas versiones de kdebase en ftp://ftp.kde.org/pub/

Para construir &konsole;:

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Then as root:
    #  make install

La información para generar &konsole; en plataformas diferentes de &Linux; está disponible en el archivo `README.ports` en el paquete fuente base de &konsole;. Proporciona una lista de experto para ciertas plataformas (Tru64, Solaris, OpenBSD) y solicita voluntarios para otras plataformas &UNIX;.

&documentation.index;